> ## Documentation Index
> Fetch the complete documentation index at: https://guide.chatwize.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Source

> Update source meta base on uuid

### Path

<ParamField path="uuid" type="string" required />

### Body

<ParamField body="title" type="string" required />

### Response

<ResponseField name="created_at" type="string" />

<ResponseField name="file_name" type="string" />

<ResponseField name="file_size" type="number" />

<ResponseField name="meta_json" type="string" />

<ResponseField name="modified_at" type="string" />

<ResponseField name="status" type="string" />

<ResponseField name="title" type="string" />

<ResponseField name="type" type="string" />

<ResponseField name="tokens" type="number" />

<ResponseField name="uuid" type="string" />

<RequestExample>
  ```bash Curl
  curl --location --request POST 'https://app.chatwize.ai/api/v1/data-source/{uuid}/update' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer <token>' \
  --data-raw '{
    "title": "string"
  }'
  ```

  ```py Python
  import requests

  uuid = '<source-uuid>'
  url = f'https://app.chatwize.ai/api/v1/data-source/{uuid}/update'
  headers = {
      'Content-Type': 'application/json',
      'Authorization': 'Bearer <token>'
  }

  data = {
      "title": "string"
  }

  response = requests.post(url, headers=headers, params=params, json=data)

  if response.status_code == 200:
      print("Request successful!")
      print(response.json())
  else:
      print("Request failed with status code:", response.status_code)
      print(response.text)
  ```

  ```ts JavaScript
  const axios = require('axios');

  const uuid = '<source-uuid>'
  const url = `https://app.chatwize.ai/api/v1/data-source/${uuid}/update`;
  const headers = {
      'Content-Type': 'application/json',
      'Authorization': 'Bearer <token>'
  };

  const data = {
      "title": "string",
  };

  axios.post(url, data, { headers  })
      .then(response => {
          console.log('Request successful!');
          console.log(response.data);
      })
      .catch(error => {
          console.error('Request failed:', error);
      });
  ```
</RequestExample>

<ResponseExample>
  ```json Response
  {
    "created_at": "string",
    "file_name": "string",
    "file_size": 0,
    "meta_json": "string",
    "modified_at": "string",
    "status": "string",
    "title": "string",
    "tokens": 0,
    "type": "string",
    "uuid": "string"
  }

  ```
</ResponseExample>
